For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get cashdrawer status for a till

Get cashdrawer status for the cashdrawer connect to the current till

get
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashdrawer
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
statusstring · enumRequiredPossible values:
get/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashdrawer
GET /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashdrawer HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "status": "OPEN"
}

Last updated

Was this helpful?